psocksxx::lsockstream Class Reference

Local (unix) socket controller class. More...

`#include <lsockstream.h>`

Inheritance diagram for psocksxx::lsockstream:

## Public Member Functions

| lsockstream () throw ( sockexception )
| constructor More...
virtual | ~lsockstream () throw ()
| destructor
void | connect (const char *path) throw ( sockexception, socktimeoutexception )
| connect to a local socket More...
void | connect (const lsockaddr *saddr) throw ( sockexception, socktimeoutexception )
| connect to a local socket More...
Public Member Functions inherited from psocksxx::iosockstream
| iosockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~iosockstream () throw ()
| destructor
bool | timedout () const throw ()
| get the timed-out status for this stream More...
Public Member Functions inherited from psocksxx::isockstream
| isockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~isockstream () throw ()
| destructor
Public Member Functions inherited from psocksxx::iosocks
virtual | ~iosocks () throw ()
| destructor More...
bool | timedout () const throw ()
| get the timed-out status flag value More...
const timeval * | timeout (time_t sec, suseconds_t usec) throw ()
| set the timeout value for stream communications More...
void * | clear_timeout () throw ()
| clear the timeout value More...
Public Member Functions inherited from psocksxx::osockstream
| osockstream (sockstreambuf *ssb) throw ()
| constructor More...
virtual | ~osockstream () throw ()
| destructor

## Additional Inherited Members

Protected Member Functions inherited from psocksxx::iosocks
| iosocks () throw ()
| empty default constructor More...

## Detailed Description

Local (unix) socket controller class.

This class acts as a controller for communicating through a local (unix) socket and uses an instance of psocksxx::sockstreambuf as the underlying / associated sequence.

## Constructor & Destructor Documentation

psocksxx::lsockstream::lsockstream | ( |  | ) |
throw | ( | sockexception
| ) |  |

constructor

Exceptions

  psocksxx::sockexception | socket exception

Initialise a local (unix) communication stream.

## Member Function Documentation

void psocksxx::lsockstream::connect | ( | const char * | path | ) |
throw | ( | sockexception,
|  | socktimeoutexception
| ) |  |

connect to a local socket

Parameters

  path | local socket path

Exceptions

  psocksxx::sockexception | socket exception
  psocksxx::socktimeoutexception | connection timeout exception

Connect a to local socket at the given path. It is assumed that the socket is ready to accept connections.

void psocksxx::lsockstream::connect | ( | const lsockaddr * | saddr | ) |
throw | ( | sockexception,
|  | socktimeoutexception
| ) |  |

connect to a local socket

Parameters

  saddr | local socket address instance

Exceptions

  psocksxx::sockexception | socket exception
  psocksxx::socktimeoutexception | connection timeout exception

Connect to a local socket using the passed in socket address object.